<ng-container *ngIf="!isEditing">
    <div (click)="edit($event)" class="content-editable-wrapper flex-justify-content clickable">
        <ng-container [ngSwitch]="type">
            <ng-container *ngSwitchCase="'boolean'">
                <mat-checkbox class="autofocus"
                              [checked]="value"
                              (click)="stopPropagation($event)"
                              (change)="validate($event.checked)"></mat-checkbox>
            </ng-container>
            <ng-container *ngSwitchDefault>
                <ng-content></ng-content>
            </ng-container>
        </ng-container>
    </div>
</ng-container>
<ng-container [ngSwitch]="type">
    <ng-container *ngSwitchCase="'select'">
        <mat-select class="autoclickable"
                    [(ngModel)]="valueEditing"
                    (closed)="reset()"
                    (selectionChange)="validate()"
                    [class.hidden]="!isEditing">
            <mat-option *ngFor="let item of selectOptions"
                        [value]="item.value">
                {{item.label}}
            </mat-option>
        </mat-select>
    </ng-container>
    <ng-container *ngSwitchCase="'boolean'">
    </ng-container>
    <ng-container *ngSwitchDefault>
        <input #input
               matInput
               [type]="type"
               required
               class="autofocusable"
               [class.hidden]="!isEditing"
               (blur)="reset()"
               (keyup.enter)="validate()"
               [(ngModel)]="valueEditing">

    </ng-container>
</ng-container>

